import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
const TitleJsx = ({ value, fontSize, textAlign, color, backgroundColor, fontWeight, textDecoration, fontStyle, marginTop, marginBottom }) => {
    const { View } = useComponent();
    return (_jsx(View, Object.assign({ className: 'components-title', style: {
            fontSize,
            textAlign,
            color,
            backgroundColor,
            fontWeight,
            textDecoration,
            fontStyle,
            marginTop,
            marginBottom
        } }, { children: value })));
};
export const Title = memo(TitleJsx);
